API referenceProjects
List projects
Returns the projects the authenticated API key can access.
Account-level keys see all projects in the account; workspace-scoped keys see only projects in their workspace. Cursor-paginated (created_at DESC, id DESC).
Authorization
bearerAuth AuthorizationBearer <token>
Typecut API key. Generate one in app.typecut.ai → Settings → API keys. Send as Authorization: Bearer tc_live_….
In: header
Query Parameters
cursor?string
Opaque cursor from a previous response's next_cursor.
limit?integer
Max items per page.
Default
20Range
1 <= value <= 100Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/projects"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",
"status": "draft",
"type": "string",
"target_duration_seconds": 0,
"scene_density": "string",
"thumbnail_url": "string",
"aspect_ratio": "string",
"duration": 0,
"total_scenes": 0,
"rendered_scenes": 0,
"failed_scenes": 0,
"render_url": "string",
"settings": {
"property1": null,
"property2": null
},
"global_style": "string",
"edit_version": 0,
"brief": {
"property1": null,
"property2": null
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"next_cursor": "string"
}{
"error": {
"type": "string",
"code": "string",
"message": "string"
}
}{
"error": {
"type": "string",
"code": "string",
"message": "string"
}
}